> ## Name

> tex1Dcmpbias - performs a texture lookup with bias and shadow compare in a given sampler.

> ## Synopsis

>     float4 tex1Dcmpbias(sampler1D samp, float4 s)
>     float4 tex1Dcmpbias(sampler1D samp, float4 s, int texelOff)

> ## Parameters

> samp
>   Sampler to lookup.
> s
>   Coordinates to perform the lookup. The value used in the shadow comparison should be passed right after the normal coordinates. The bias value should be passed as the last component of the coordinate vector.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs a texture lookup with shadow compare and bias in sampler samp using coordinates s.

> ## Profile Support

> tex1Dcmpbias is supported in fragment profiles starting with fp40 and in vertex profiles starting with vp40. Variants with texelOff are only supported in gp4 and newer profiles.

> ## See Also

> tex1Dcmplod, tex1Dbias